=== support/traceprint/Makefile ===
traceprint: main.c
	gcc main.c -o traceprint

clean: 
	rm -rf *~ traceprint
