=== ext/dvd/dvdcss/Makefile ===
# Makefile for libhts

-include ../../config.mak

SRCS = css.c device.c error.c ioctl.c libdvdcss.c

L = libdvdcss

LIBS_INSTALL = $(LIBS_INSTALL_BASE)
INCLUDES_INSTALL = $(INCLUDES_INSTALL_BASE)/dvdcss

CFLAGS +=  $(HTS_CFLAGS) -DHAVE_LIMITS_H -DHAVE_UNISTD_H -DHAVE_ERRNO_H
CFLAGS +=  -DHAVE_LINUX_DVD_STRUCT -DDVD_STRUCT_IN_LINUX_CDROM_H
CFLAGS +=  -DVERSION="0"
CFLAGS += -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64
CFLAGS +=  -I$(INCLUDES_INSTALL_BASE)

HEADERS = dvdcss.h

include ../../build/lib.mk
