=== debian/control ===
Source: showtime
Section: main
Priority: extra
Maintainer: Andreas Öman <andreas@lonelycoder.com>
Build-Depends: debhelper  (>= 7.0.50), pkg-config, libfreetype6-dev, libfontconfig1-dev, libx11-dev, libxext-dev, libgl1-mesa-dev, libasound-dev, libpulse-dev, libgtk2.0-dev, libxss-dev, libxxf86vm-dev, libxv-dev, libcdio-cdda-dev, libssl-dev, libvdpau-dev, libgme-dev, libsidplay2-dev, libresid-builder-dev, yasm, curl, libsqlite3-dev

Package: showtime
Section: main
Architecture: any
Depends: ${shlibs:Depends}, hal
Description: OpenGL based Mediaplayer
 An OpenGL based media player focused for use as a home-entertainment-system.
 Based on ffmpeg 'http://www.ffmpeg.org'.

Package: showtime-dbg
Section: debug
Architecture: any
Depends: showtime (= ${Source-Version})
Description: Debug symbols for Showtime
