=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --enable-all --disable-cddb ${USE_CCACHE} ${JOBSARGS} ${ARCH}

override_dh_installdocs:
	@echo No documentation

override_dh_auto_build:
	make ${JARGS}

override_dh_strip:
	dh_strip --dbg-package=showtime-dbg

override_dh_auto_install:
	dh_auto_install --destdir=debian/showtime
